#!/bin/sh
# This is the installation script for Qt, packaged in .tgz form for Slackware.
#
# Look for Qt additions to etc/profile, and if we don't find them
# then add them:
if fgrep "QTDIR/usr/lib/qt" etc/profile 1> /dev/null 2> /dev/null ; then
  # Good, we've already found the Qt stuff in etc/profile, so we
  # won't need to add it again.
  FOUND=GOOD # :^)
else
  # Add Qt environment variables to etc/profile:
  cat << EOF >> etc/profile
# Environment variables for the Qt package:
QTDIR=/usr/lib/qt
CPLUS_INCLUDE_PATH=\$QTDIR/include:\$CPLUS_INCLUDE_PATH
export QTDIR
export CPLUS_INCLUDE_PATH
EOF
fi
# OK, now we need to do the same thing to etc/csh.login:
if fgrep "QTDIR/usr/lib/qt" etc/csh.login 1> /dev/null 2> /dev/null ; then
  # Good, we've already found the Qt stuff in etc/csh.login, so we
  # won't need to add it again.
  FOUND=GOOD # :^)
else
  cat << EOF >> etc/csh.login
# Environment path variables for the Qt package:
if ( ! \$?QTDIR ) then
    setenv QTDIR /usr/lib/qt
endif
if ( \$?CPLUS_INCLUDE_PATH ) then
    setenv CPLUS_INCLUDE_PATH \$QTDIR/include:\$CPLUS_INCLUDE_PATH
else
    setenv CPLUS_INCLUDE_PATH \$QTDIR/include
endif
EOF
fi
( cd usr/bin ; rm -rf moc )
( cd usr/bin ; ln -sf /usr/lib/qt-1.44/bin/moc moc )
# Make symbolic links needed by Qt:
( cd usr/lib ; rm -rf qt )
( cd usr/lib ; ln -sf qt-1.44 qt )
( cd usr/lib/qt-1.44/include ; rm -rf qarray.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qarray.h qarray.h )
( cd usr/lib/qt-1.44/include ; rm -rf qbitarray.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qbitarray.h qbitarray.h )
( cd usr/lib/qt-1.44/include ; rm -rf qbuffer.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qbuffer.h qbuffer.h )
( cd usr/lib/qt-1.44/include ; rm -rf qcache.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qcache.h qcache.h )
( cd usr/lib/qt-1.44/include ; rm -rf qcollection.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qcollection.h qcollection.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdatastream.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qdatastream.h qdatastream.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdatetime.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qdatetime.h qdatetime.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdict.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qdict.h qdict.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdir.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qdir.h qdir.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfile.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qfile.h qfile.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfiledefs.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qfiledefs.h qfiledefs.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfileinfo.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qfileinfo.h qfileinfo.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgarray.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qgarray.h qgarray.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgcache.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qgcache.h qgcache.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgdict.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qgdict.h qgdict.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgeneric.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qgeneric.h qgeneric.h )
( cd usr/lib/qt-1.44/include ; rm -rf qglist.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qglist.h qglist.h )
( cd usr/lib/qt-1.44/include ; rm -rf qglobal.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qglobal.h qglobal.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgvector.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qgvector.h qgvector.h )
( cd usr/lib/qt-1.44/include ; rm -rf qintcache.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qintcache.h qintcache.h )
( cd usr/lib/qt-1.44/include ; rm -rf qintdict.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qintdict.h qintdict.h )
( cd usr/lib/qt-1.44/include ; rm -rf qiodevice.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qiodevice.h qiodevice.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlist.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qlist.h qlist.h )
( cd usr/lib/qt-1.44/include ; rm -rf qptrdict.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qptrdict.h qptrdict.h )
( cd usr/lib/qt-1.44/include ; rm -rf qqueue.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qqueue.h qqueue.h )
( cd usr/lib/qt-1.44/include ; rm -rf qregexp.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qregexp.h qregexp.h )
( cd usr/lib/qt-1.44/include ; rm -rf qshared.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qshared.h qshared.h )
( cd usr/lib/qt-1.44/include ; rm -rf qstack.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qstack.h qstack.h )
( cd usr/lib/qt-1.44/include ; rm -rf qstring.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qstring.h qstring.h )
( cd usr/lib/qt-1.44/include ; rm -rf qstrlist.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qstrlist.h qstrlist.h )
( cd usr/lib/qt-1.44/include ; rm -rf qstrvec.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qstrvec.h qstrvec.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtextstream.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qtextstream.h qtextstream.h )
( cd usr/lib/qt-1.44/include ; rm -rf qvector.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/tools/qvector.h qvector.h )
( cd usr/lib/qt-1.44/include ; rm -rf qaccel.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qaccel.h qaccel.h )
( cd usr/lib/qt-1.44/include ; rm -rf qapplication.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qapplication.h qapplication.h )
( cd usr/lib/qt-1.44/include ; rm -rf qasyncimageio.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qasyncimageio.h qasyncimageio.h )
( cd usr/lib/qt-1.44/include ; rm -rf qasyncio.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qasyncio.h qasyncio.h )
( cd usr/lib/qt-1.44/include ; rm -rf qbitmap.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qbitmap.h qbitmap.h )
( cd usr/lib/qt-1.44/include ; rm -rf qbrush.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qbrush.h qbrush.h )
( cd usr/lib/qt-1.44/include ; rm -rf qclipboard.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qclipboard.h qclipboard.h )
( cd usr/lib/qt-1.44/include ; rm -rf qcolor.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qcolor.h qcolor.h )
( cd usr/lib/qt-1.44/include ; rm -rf qconnection.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qconnection.h qconnection.h )
( cd usr/lib/qt-1.44/include ; rm -rf qcursor.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qcursor.h qcursor.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdialog.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qdialog.h qdialog.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdragobject.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qdragobject.h qdragobject.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdrawutil.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qdrawutil.h qdrawutil.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdropsite.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qdropsite.h qdropsite.h )
( cd usr/lib/qt-1.44/include ; rm -rf qevent.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qevent.h qevent.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfocusdata.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qfocusdata.h qfocusdata.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfont.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qfont.h qfont.h )
( cd usr/lib/qt-1.44/include ; rm -rf qimage.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qimage.h qimage.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmovie.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qmovie.h qmovie.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfontdata.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qfontdata.h qfontdata.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfontinfo.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qfontinfo.h qfontinfo.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfontmetrics.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qfontmetrics.h qfontmetrics.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgmanager.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qgmanager.h qgmanager.h )
( cd usr/lib/qt-1.44/include ; rm -rf qiconset.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qiconset.h qiconset.h )
( cd usr/lib/qt-1.44/include ; rm -rf qkeycode.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qkeycode.h qkeycode.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlayout.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qlayout.h qlayout.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmetaobject.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qmetaobject.h qmetaobject.h )
( cd usr/lib/qt-1.44/include ; rm -rf qobject.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qobject.h qobject.h )
( cd usr/lib/qt-1.44/include ; rm -rf qobjectdefs.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qobjectdefs.h qobjectdefs.h )
( cd usr/lib/qt-1.44/include ; rm -rf qobjectdict.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qobjectdict.h qobjectdict.h )
( cd usr/lib/qt-1.44/include ; rm -rf qobjectlist.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qobjectlist.h qobjectlist.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpaintdevice.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpaintdevice.h qpaintdevice.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpaintdevicedefs.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpaintdevicedefs.h qpaintdevicedefs.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpaintdevicemetrics.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpaintdevicemetrics.h qpaintdevicemetrics.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpainter.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpainter.h qpainter.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpalette.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpalette.h qpalette.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpen.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpen.h qpen.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpicture.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpicture.h qpicture.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpixmap.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpixmap.h qpixmap.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpixmapcache.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpixmapcache.h qpixmapcache.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpoint.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpoint.h qpoint.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpointarray.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpointarray.h qpointarray.h )
( cd usr/lib/qt-1.44/include ; rm -rf qprinter.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qprinter.h qprinter.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpsprinter.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qpsprinter.h qpsprinter.h )
( cd usr/lib/qt-1.44/include ; rm -rf qrect.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qrect.h qrect.h )
( cd usr/lib/qt-1.44/include ; rm -rf qregion.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qregion.h qregion.h )
( cd usr/lib/qt-1.44/include ; rm -rf qsemimodal.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qsemimodal.h qsemimodal.h )
( cd usr/lib/qt-1.44/include ; rm -rf qsignal.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qsignal.h qsignal.h )
( cd usr/lib/qt-1.44/include ; rm -rf qsignalmapper.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qsignalmapper.h qsignalmapper.h )
( cd usr/lib/qt-1.44/include ; rm -rf qsignalslotimp.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qsignalslotimp.h qsignalslotimp.h )
( cd usr/lib/qt-1.44/include ; rm -rf qsize.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qsize.h qsize.h )
( cd usr/lib/qt-1.44/include ; rm -rf qsocketnotifier.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qsocketnotifier.h qsocketnotifier.h )
( cd usr/lib/qt-1.44/include ; rm -rf qt_gif.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qt_gif.h qt_gif.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtimer.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qtimer.h qtimer.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwidget.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qwidget.h qwidget.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwidgetintdict.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qwidgetintdict.h qwidgetintdict.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwidgetlist.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qwidgetlist.h qwidgetlist.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwindow.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qwindow.h qwindow.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwindowdefs.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qwindowdefs.h qwindowdefs.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwmatrix.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/kernel/qwmatrix.h qwmatrix.h )
( cd usr/lib/qt-1.44/include ; rm -rf qbutton.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qbutton.h qbutton.h )
( cd usr/lib/qt-1.44/include ; rm -rf qbuttongroup.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qbuttongroup.h qbuttongroup.h )
( cd usr/lib/qt-1.44/include ; rm -rf qcheckbox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qcheckbox.h qcheckbox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qcombobox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qcombobox.h qcombobox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qframe.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qframe.h qframe.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlabel.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qlabel.h qlabel.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgroupbox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qgroupbox.h qgroupbox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qheader.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qheader.h qheader.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlcdnumber.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qlcdnumber.h qlcdnumber.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlineedit.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qlineedit.h qlineedit.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlistbox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qlistbox.h qlistbox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlistview.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qlistview.h qlistview.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmainwindow.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qmainwindow.h qmainwindow.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmenubar.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qmenubar.h qmenubar.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmenudata.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qmenudata.h qmenudata.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmultilinedit.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qmultilinedit.h qmultilinedit.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpopupmenu.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qpopupmenu.h qpopupmenu.h )
( cd usr/lib/qt-1.44/include ; rm -rf qprogressbar.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qprogressbar.h qprogressbar.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpushbutton.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qpushbutton.h qpushbutton.h )
( cd usr/lib/qt-1.44/include ; rm -rf qradiobutton.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qradiobutton.h qradiobutton.h )
( cd usr/lib/qt-1.44/include ; rm -rf qrangecontrol.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qrangecontrol.h qrangecontrol.h )
( cd usr/lib/qt-1.44/include ; rm -rf qscrollbar.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qscrollbar.h qscrollbar.h )
( cd usr/lib/qt-1.44/include ; rm -rf qscrollview.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qscrollview.h qscrollview.h )
( cd usr/lib/qt-1.44/include ; rm -rf qslider.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qslider.h qslider.h )
( cd usr/lib/qt-1.44/include ; rm -rf qspinbox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qspinbox.h qspinbox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qsplitter.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qsplitter.h qsplitter.h )
( cd usr/lib/qt-1.44/include ; rm -rf qstatusbar.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qstatusbar.h qstatusbar.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtabbar.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qtabbar.h qtabbar.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtableview.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qtableview.h qtableview.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtoolbar.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qtoolbar.h qtoolbar.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtoolbutton.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qtoolbutton.h qtoolbutton.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtooltip.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qtooltip.h qtooltip.h )
( cd usr/lib/qt-1.44/include ; rm -rf qvalidator.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qvalidator.h qvalidator.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwellarray.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qwellarray.h qwellarray.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwhatsthis.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qwhatsthis.h qwhatsthis.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwidgetstack.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/widgets/qwidgetstack.h qwidgetstack.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfiledialog.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/dialogs/qfiledialog.h qfiledialog.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmessagebox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/dialogs/qmessagebox.h qmessagebox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qprintdialog.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/dialogs/qprintdialog.h qprintdialog.h )
( cd usr/lib/qt-1.44/include ; rm -rf qprogressdialog.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/dialogs/qprogressdialog.h qprogressdialog.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtabdialog.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/dialogs/qtabdialog.h qtabdialog.h )
( cd usr/lib/qt-1.44/include ; rm -rf qbitarry.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qbitarry.h qbitarry.h )
( cd usr/lib/qt-1.44/include ; rm -rf qapp.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qapp.h qapp.h )
( cd usr/lib/qt-1.44/include ; rm -rf qbttngrp.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qbttngrp.h qbttngrp.h )
( cd usr/lib/qt-1.44/include ; rm -rf qchkbox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qchkbox.h qchkbox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qclipbrd.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qclipbrd.h qclipbrd.h )
( cd usr/lib/qt-1.44/include ; rm -rf qcollect.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qcollect.h qcollect.h )
( cd usr/lib/qt-1.44/include ; rm -rf qcombo.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qcombo.h qcombo.h )
( cd usr/lib/qt-1.44/include ; rm -rf qconnect.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qconnect.h qconnect.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdatetm.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qdatetm.h qdatetm.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdrawutl.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qdrawutl.h qdrawutl.h )
( cd usr/lib/qt-1.44/include ; rm -rf qdstream.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qdstream.h qdstream.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfiledef.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qfiledef.h qfiledef.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfiledlg.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qfiledlg.h qfiledlg.h )
( cd usr/lib/qt-1.44/include ; rm -rf qiodev.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qiodev.h qiodev.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfileinf.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qfileinf.h qfileinf.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfontdta.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qfontdta.h qfontdta.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfontinf.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qfontinf.h qfontinf.h )
( cd usr/lib/qt-1.44/include ; rm -rf qfontmet.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qfontmet.h qfontmet.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgmanagr.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qgmanagr.h qgmanagr.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgrpbox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qgrpbox.h qgrpbox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qintcach.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qintcach.h qintcach.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlcdnum.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qlcdnum.h qlcdnum.h )
( cd usr/lib/qt-1.44/include ; rm -rf qlined.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qlined.h qlined.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmenudta.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qmenudta.h qmenudta.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmetaobj.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qmetaobj.h qmetaobj.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmlined.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qmlined.h qmlined.h )
( cd usr/lib/qt-1.44/include ; rm -rf qmsgbox.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qmsgbox.h qmsgbox.h )
( cd usr/lib/qt-1.44/include ; rm -rf qobjcoll.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qobjcoll.h qobjcoll.h )
( cd usr/lib/qt-1.44/include ; rm -rf qobjdefs.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qobjdefs.h qobjdefs.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpaintd.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qpaintd.h qpaintd.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpaintdc.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qpaintdc.h qpaintdc.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpdevmet.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qpdevmet.h qpdevmet.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpmcache.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qpmcache.h qpmcache.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpntarry.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qpntarry.h qpntarry.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpopmenu.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qpopmenu.h qpopmenu.h )
( cd usr/lib/qt-1.44/include ; rm -rf qprndlg.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qprndlg.h qprndlg.h )
( cd usr/lib/qt-1.44/include ; rm -rf qprogbar.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qprogbar.h qprogbar.h )
( cd usr/lib/qt-1.44/include ; rm -rf qprogdlg.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qprogdlg.h qprogdlg.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpsprn.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qpsprn.h qpsprn.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpushbt.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qpushbt.h qpushbt.h )
( cd usr/lib/qt-1.44/include ; rm -rf qradiobt.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qradiobt.h qradiobt.h )
( cd usr/lib/qt-1.44/include ; rm -rf qrangect.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qrangect.h qrangect.h )
( cd usr/lib/qt-1.44/include ; rm -rf qscrbar.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qscrbar.h qscrbar.h )
( cd usr/lib/qt-1.44/include ; rm -rf qsocknot.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qsocknot.h qsocknot.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtabdlg.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qtabdlg.h qtabdlg.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtablevw.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qtablevw.h qtablevw.h )
( cd usr/lib/qt-1.44/include ; rm -rf qtstream.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qtstream.h qtstream.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwidcoll.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qwidcoll.h qwidcoll.h )
( cd usr/lib/qt-1.44/include ; rm -rf qwindefs.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../src/compat/qwindefs.h qwindefs.h )
( cd usr/lib/qt-1.44/include ; rm -rf qxt.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/xt/src/qxt.h qxt.h )
( cd usr/lib/qt-1.44/include ; rm -rf qgl.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/opengl/src/qgl.h qgl.h )
( cd usr/lib/qt-1.44/include ; rm -rf jri.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/nsplugin/src/jri.h jri.h )
( cd usr/lib/qt-1.44/include ; rm -rf jri_md.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/nsplugin/src/jri_md.h jri_md.h )
( cd usr/lib/qt-1.44/include ; rm -rf jritypes.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/nsplugin/src/jritypes.h jritypes.h )
( cd usr/lib/qt-1.44/include ; rm -rf npapi.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/nsplugin/src/npapi.h npapi.h )
( cd usr/lib/qt-1.44/include ; rm -rf npupp.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/nsplugin/src/npupp.h npupp.h )
( cd usr/lib/qt-1.44/include ; rm -rf qnp.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/nsplugin/src/qnp.h qnp.h )
( cd usr/lib/qt-1.44/include ; rm -rf qimageio.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/imageio/src/qimageio.h qimageio.h )
( cd usr/lib/qt-1.44/include ; rm -rf qjpegio.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/imageio/src/qjpegio.h qjpegio.h )
( cd usr/lib/qt-1.44/include ; rm -rf qpngio.h )
( cd usr/lib/qt-1.44/include ; ln -sf ../extensions/imageio/src/qpngio.h qpngio.h )
( cd usr/lib ; rm -rf libqt.so )
( cd usr/lib ; ln -sf libqt.so.1.44 libqt.so )
( cd usr/lib ; rm -rf libqt.so.1 )
( cd usr/lib ; ln -sf libqt.so.1.44 libqt.so.1 )
